local shader = love.graphics.newShader( require 'head' )
local gr = love.graphics

function love.load()
	wd, ht = love.window.getDesktopDimensions()
	love.window.setMode( wd, ht, {borderless=true} )
	love.mouse.setVisible( false )
	shader:send( 'screen', { wd, ht } )
	gr.setColor(1,1,1,.8)
	shaderTime = 0
	end

function love.update( dt )
	shaderTime = shaderTime + 2 * dt
	shader:send( 'time', shaderTime )
	end

function love.draw()
	gr.setShader( shader )
		gr.rectangle( 'fill', 0, 0, wd, ht )
		gr.setShader()
	gr.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
